org.apache.hc.client5.http.cache

## Interface HttpCacheInvalidator

- All Known Implementing Classes:
    DefaultCacheInvalidator

      @Contract(threading=STATELESS)
       @Internal
      public interface HttpCacheInvalidator

  Given a particular HTTP request / response pair, flush any cache entries that this exchange would invalidate.
  Since:
    4.3

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `flushCacheEntriesInvalidatedByExchange(HttpHost host, HttpRequest request, HttpResponse response, Resolver<URI,String> cacheKeyResolver, HttpCacheStorage cacheStorage)` Flush `HttpCacheEntry`s invalidated by the given message exchange.
    `void` | `flushCacheEntriesInvalidatedByRequest(HttpHost host, HttpRequest request, Resolver<URI,String> cacheKeyResolver, HttpCacheStorage cacheStorage)` Flush `HttpCacheEntry`s invalidated by the given request.

- - ### Method Detail

    - #### flushCacheEntriesInvalidatedByRequest

          void flushCacheEntriesInvalidatedByRequest(HttpHost host,
                                                     HttpRequest request,
                                                     Resolver<URI,String> cacheKeyResolver,
                                                     HttpCacheStorage cacheStorage)

      Flush `HttpCacheEntry`s invalidated by the given request.
      Parameters:
        `host` - backend host
        `request` - request message
        `cacheKeyResolver` - cache key resolver used by cache storage
        `cacheStorage` - internal cache storage
      Since:
        5.0

    - #### flushCacheEntriesInvalidatedByExchange

          void flushCacheEntriesInvalidatedByExchange(HttpHost host,
                                                      HttpRequest request,
                                                      HttpResponse response,
                                                      Resolver<URI,String> cacheKeyResolver,
                                                      HttpCacheStorage cacheStorage)

      Flush `HttpCacheEntry`s invalidated by the given message exchange.
      Parameters:
        `host` - backend host
        `request` - request message
        `response` - response message
        `cacheKeyResolver` - cache key resolver used by cache storage
        `cacheStorage` - internal cache storage
      Since:
        5.0

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.